org.eclipse.incquery.runtime.evm.specific.job

## Class CommandExecutingJob<EventAtom>

- java.lang.Object
- - org.eclipse.incquery.runtime.evm.api.Job<EventAtom>
  - - org.eclipse.incquery.runtime.evm.specific.job.CommandExecutingJob<EventAtom>

-     public abstract class CommandExecutingJob<EventAtom>
      extends Job<EventAtom>

  Author:
    Abel Hegedus

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `CommandExecutingJob.JobExecutionHelper` Helper class for constructing the job execution from individual commands.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMMAND_EXECUTING_JOB_HELPER`
    `static java.lang.String` | `EDITING_DOMAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandExecutingJob(ActivationState enablingState, EventAtomEditingDomainProvider<EventAtom> provider)` Create a new job that supports execution through commands by finding the editing domain using the given provider and giving a `CommandExecutingJob.JobExecutionHelper` for providing the execution with a way to easily create commands and execute them.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.incquery.runtime.evm.api.Job

      `getActivationState`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMMAND_EXECUTING_JOB_HELPER

          public static final java.lang.String COMMAND_EXECUTING_JOB_HELPER

      See Also:
        Constant Field Values

    - #### EDITING_DOMAIN

          public static final java.lang.String EDITING_DOMAIN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CommandExecutingJob

          public CommandExecutingJob(ActivationState enablingState,
                                     EventAtomEditingDomainProvider<EventAtom> provider)

      Create a new job that supports execution through commands by finding the editing domain using the given provider and giving a `CommandExecutingJob.JobExecutionHelper` for providing the execution with a way to easily create commands and execute them.
      Parameters:
        `enablingState` -
        `provider` -